#ifndef QMODEL_H
#define QMODEL_H

#include <stdio.h>   // FILE*
#include "../Modules/owntypes.h"
#include "genmodel.h"
#include "../Modules/genio.h"

typedef struct tagQMODEL
{
  BYTE Index;
  BYTE MPS;
  BYTE FAIndex;
} QMODEL;

void RestoreFirstAttackStateIndex(QMODEL*);

// ------------------ Interface for Q Modeling ------------------------

YESNO InitQModel(GENMODEL *, ULONG, int, int, int);
void  ReInitQModel(GENMODEL *);
void  DoneQModel(GENMODEL *);

// FA
void CreateInitialQModel(GENMODEL*, ULONG*, ULONG*);
int StoreInitialQModel(GENMODEL *, FLOW *f);
int LoadInitialQModel(GENMODEL *, FLOW *f);

#endif //QMODEL_H
