#ifndef RLS_H
#define RLS_H

#include "cb.h"
#include "criteria.h"
#include "iter.h"

#if defined(__cplusplus)
extern "C" {
#endif

#define RLS_IMPROVED 1
#define RLS_ERROR 2

int RandomizedLocalSearch(TRAININGSET* TS, CODEBOOK* CB, PARTITIONING* PA,
    CriterionInfo* CI, double* FinalError,
    Iterations* Iter, int GLAIterations,
    int SwapMethod, int Output, int Trace, int TraceID);

#if defined(__cplusplus)
}
#endif

#endif

