#include "ct.h"

void GetMemoryUsage( MULTITREE *CT, ULONG &Total, ULONG &Useless, ULONG NColors)
{
	Total += sizeof(int) + sizeof(ULONG) + sizeof(ULONG) + sizeof(MULTITREE**) + sizeof(ULONG*);
	//child pos + context + total + chldren + pixels
	if(CT->Pixels)
	{
		Total += sizeof(ULONG)*NColors;
		for(int i=0; i<NColors; i++)
			if(!CT->Pixels[i])
				Useless+=sizeof(ULONG);
	}

	if(CT->Children)
	{
		Total += sizeof(MULTITREE*)*NColors;
		for(int i=0; i<NColors; i++)
			if(!CT->Children[i])
				Useless+=sizeof(MULTITREE*);
			else
				GetMemoryUsage(CT->Children[i], Total, Useless, NColors);
	}
}
