#if ! defined(__COLORFILT_H)
#define __COLORFILT_H

#include "owntypes.h"
#include "image.h"


void Convolution(IMAGE *Source, IMAGE *Destination, int ContextSize, int QL);
void Border(IMAGE *Source, IMAGE *Destination, int ContextSize, int QL);
void ColorActivity(IMAGE *Source, IMAGE *Destination, int ContextSize, int QL);
void FSErrorDiffusion(IMAGE *Source, IMAGE *Destination, int QL);
void GammaCorrection(IMAGE *Source, IMAGE *Destination, int QL);

double ImageME(IMAGE *Source, IMAGE *Destination, int QL);

void CromaFilter(IMAGE *Source, IMAGE *Destination, int Template, int ContextSize, int value, int QL);
void VectorMedian(IMAGE *Source, IMAGE *Destination, int Template, int ContextSize, int QL, int Adaptive);
RGBPIXEL LocalMedian(IMAGE *Source, ULONG x, ULONG y, int Template, int ContextSize);
RGBPIXEL CWLocalMedian(IMAGE *Source, ULONG x, ULONG y, int Template, int ContextSize);
RGBPIXEL RCLocalMedian(IMAGE *Source, ULONG x, ULONG y, int Template, int ContextSize);

double ImageERR(IMAGE *Source, IMAGE *Destination, int QL);
double ImageDE(IMAGE *Source, IMAGE *Destination, int QL);

#endif /* __COLORFILT_H */
